Subject: Re: Re-add ibft tree to linux-next please

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Tue, 17 Jan 2012 11:49:20 -0500

On Tue, Jan 17, 2012 at 09:08:30AM -0500, Len Brown wrote:
> 
> > The trick is that we also have to retain the code functionality if
> > "# CONFIG_ACPI is not set" to scan the memory for the iBFT. That part
> > should definitly _not_ be moved to drivers/acpi. It could be moved to
> > arch/x86/ .. but it could also stay in drivers/firmware. <shrugs>
> 
> 
> Are there really hardware/firmware configurations that support IBFT
> and do not support ACPI?

gPXE can be used in legacy environments. And it (gPXE) does not update
the ACPI tables.

> 
> If yes, do they require an OS that has CONFIG_ACPI=n?

I can't think of anybody nowadays doing CONFIG_ACPI=n for x86.
Is there anybody doing it?

> Or would finding the table with CONFIG_ACPI=y and acpi_disabled=1
> be sufficient?

I think that would work. And also if 'acpi_disabled=0' as you might
have an IBFT table in memory that is _not_ hooked up to the ACPI tables.